View Issue Details

IDProjectCategoryView StatusLast Update
0004434SymmetricDS ProImprovementpublic2020-07-20 11:17
ReporterJJ_StarrettAssigned ToJJ_Starrett 
Prioritynormal 
Status closedResolutionfixed 
Product Version3.12.0 
Target Version3.12.2Fixed in Version3.12.2 
Summary0004434: Add GUI support for before trigger scripts
DescriptionThe current GUI has no option to specify before trigger scripts and requires manual writing to sym_trigger
TagsNo tags attached.

Activities

There are no notes attached to this issue.

Related Changesets

SymmetricDS: 3.12 13fa6961

2020-07-01 12:17:06

JJ_Starrett

Details Diff
0004434: Add GUI support for before trigger scripts

Altered trigger insert / updates to add the three "before" custom text fields

0004434
mod - symmetric-core/src/main/java/org/jumpmind/symmetric/service/impl/TriggerRouterService.java Diff File
mod - symmetric-core/src/main/java/org/jumpmind/symmetric/service/impl/TriggerRouterServiceSqlMap.java Diff File

Issue History

Date Modified Username Field Change
2020-06-19 10:09 JJ_Starrett New Issue
2020-06-19 10:09 JJ_Starrett Status new => assigned
2020-06-19 10:09 JJ_Starrett Assigned To => JJ_Starrett
2020-06-24 16:19 elong Target Version 3.12.1 => 3.12.2
2020-07-01 13:00 JJ_Starrett Changeset attached => SymmetricDS 3.12 13fa6961
2020-07-02 10:25 JJ_Starrett Status assigned => resolved
2020-07-02 10:25 JJ_Starrett Resolution open => fixed
2020-07-02 10:25 JJ_Starrett Fixed in Version => 3.12.2
2020-07-20 11:17 elong Status resolved => closed